### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
BMAIndex Class Reference

Bond Market Association index. More...

`#include <ql/indexes/bmaindex.hpp>`

Inheritance diagram for BMAIndex:
[legend]

List of all members.

## Public Member Functions

| BMAIndex (const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Index interface
std::string | name () const
bool | isValidFixingDate (const Date &fixingDate) const
| returns TRUE if the fixing date is a valid one
Inspectors
Handle< YieldTermStructure > | forwardingTermStructure () const
Date calculations
Date | maturityDate (const Date &valueDate) const
Schedule | fixingSchedule (const Date &start, const Date &end)

## Protected Member Functions

Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.

## Protected Attributes

Handle< YieldTermStructure > | termStructure_

## Detailed Description

Bond Market Association index.

The BMA index is the short-term tax-exempt reference index of the Bond Market Association. It has tenor one week, is fixed weekly on Wednesdays and is applied with a one-day's fixing gap from Thursdays on for one week. It is the tax-exempt correspondent of the 1M USD-Libor.

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

BMA is fixed weekly on Wednesdays.

Reimplemented from InterestRateIndex.

Schedule fixingSchedule | ( | const Date & | start,
|  | const Date & | end
| ) |  |

This method returns a schedule of fixing dates between start and end.